Summary: Displays where a particular program in your path is located.
Name: which
Version: 2.14
Release: 2
License: GPL
Group: Applications/System
Source0: ftp://ftp.gnu.org/gnu/which/which-2.14.tar.gz
URL: http://www.gnu.org/software/which
Prefix: %{_prefix}
Prereq: /sbin/install-info
Buildroot: /var/tmp/%{name}-root
%define DEFCC cc

%description
The which command shows the full pathname of a specified program, if
the specified program is in your PATH.

%prep
%setup -q

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS -qcpluscmt"
else
       export CFLAGS="$RPM_OPT_FLAGS"
fi
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

strip $RPM_BUILD_ROOT%{prefix}/bin/* || :

(cd $RPM_BUILD_ROOT
    mkdir -p usr/linux/bin
    cd usr/linux/bin
    ln -sf ../../..%{prefix}/bin/* .
 )

#
# The "which.info" file is broken.  Fix it here.
#
(cd $RPM_BUILD_ROOT/%{_infodir}
 mv which.info which.info.org
cat <<EOF > which.info
INFO-DIR-SECTION Utilities
START-INFO-DIR-ENTRY
* Which: (which).                   Shows the full path of commands.
END-INFO-DIR-ENTRY

EOF

cat which.info.org >> which.info
rm which.info.org
gzip --best which.info
 )

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info --quiet --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --quiet --info-dir=%{_infodir} --delete %{_infodir}/%{name}.info.gz
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL EXAMPLES README NEWS
%attr(-,root,bin) %{_prefix}/bin/which
%{_prefix}/man/man1/which.1*
%{_infodir}/which.info.gz
/usr/linux/bin/*

%changelog
* Sun Apr 20 2025 Sangamesh Mallayya <smallayy@in.ibm.com> - 2.14-2
- Rebuild for AIX 7.1 using RPMv4.

* Tue Nov 25 2003 David Clissold <cliss@austin.ibm.com> 2.14-1
- Update to version 2.14

* Thu Aug 30 2001 David Clissold <cliss@austin.ibm.com>
- Update to version 2.13

* Tue Aug 14 2001 David Clissold <cliss@austin.ibm.com>
- Update to version 2.12

* Thu Apr 19 2001 David Clissold <cliss@austin.ibm.com>
- Binary wasn't being stripped

* Wed Mar 21 2001 Marc Stephenson <marc@austin.ibm.com>
- Rebuild against new shared objects
- Use default compiler

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man page

* Sun Jan 16 2000 Preston Brown <pbrown@redhat.com>
- newer stuff rom Carlo (2.10).  Author's email: carlo@gnu.org

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- adopted Carlo's specfile.

* Fri Sep 24 1999 Carlo Wood <carlo@gnu.org>
- There should not be a reason anymore to include README.alias in the rpm docs.
- Don't install as root.root in RPM_BUILD_ROOT, in order to allow to build
  rpm as non-root.
- Bug fix
- Added /etc/profile.d for automatic alias inclusion.

* Wed Aug 25 1999 Carlo Wood <carlo@gnu.org>
- Added README.alias.

* Wed Aug 11 1999 Carlo Wood <carlo@gnu.org>
- Typo in comment.

* Thu May 27 1999 Carlo Wood <carlo@gnu.org>
- Typo fix
- Moved maintainer targets from makefile to Makefile.am.

* Tue May 18 1999 Carlo Wood <carlo@gnu.org>
- Typo in appended changelog.
- Appended the old change log of `which-2.0.spec' to (this) %changelog,
  which is generated from the CVS log of `which-2.0.spec.in'.
- Generate which-2.spec from which-2.spec.in with automatic VERSION
  and CHANGELOG substitution.

* Tue May 14 1999 Carlo Wood <carlo@gnu.org>
- Moved assignment of CFLAGS to the configure line, using RPM_OPT_FLAGS now.
- Corrected Source: line to point to ftp.gnu.org.

* Sat Apr 17 1999 Carlo Wood <carlo@gnu.org>
- Started to use automake and autoconf

* Fri Apr 09 1999 Carlo Wood <carlo@gnu.org>
- Renamed which-2.0.spec to which-2.spec

